| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- p
- r
- s
- t
- u
- v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AbsAddr : XV_HdmiRxSs1_SubCore
- Address : Onsemi_RegisterField
- AppMajVer : XV_HdmiRxSs1
- AppMinVer : XV_HdmiRxSs1
- AudCallback : XV_HdmiRxSs1
- AudioChannels : XV_HdmiRxSs1
- AudioInfoframe : XV_HdmiRxSs1
- AudRef : XV_HdmiRxSs1
- AuxCallback : XV_HdmiRxSs1
- AuxRef : XV_HdmiRxSs1
- AVIInfoframe : XV_HdmiRxSs1
- AxiLiteClkFreq : XV_HdmiRxSs1_Config

### - b -

- BaseAddress : XV_HdmiRxSs1_Config
- BrdgOverflowCallback : XV_HdmiRxSs1
- BrdgOverflowRef : XV_HdmiRxSs1

### - c -

- Config : XV_HdmiRxSs1 , XHdmi_Menu
- ConnectCallback : XV_HdmiRxSs1
- ConnectRef : XV_HdmiRxSs1
- CurrentMenu : XHdmi_Menu

### - d -

- DataBuffer : XV_HdmiRxSs1_Log
- DdcCallback : XV_HdmiRxSs1
- DdcRef : XV_HdmiRxSs1
- DeviceId : XV_HdmiRxSs1_SubCore , XV_HdmiRxSs1_Config
- DeviceType : Onsemi_RegisterField
- DrmInfoframe : XV_HdmiRxSs1
- DSC : XV_HdmiRxSs1_Config
- DSCPktErrCallback : XV_HdmiRxSs1
- DSCPktErrRef : XV_HdmiRxSs1
- DSCStreamChangeEventCallback : XV_HdmiRxSs1
- DSCStrmChgEvtRef : XV_HdmiRxSs1
- DSCStsUpdtEvtCallback : XV_HdmiRxSs1
- DSCStsUpdtEvtRef : XV_HdmiRxSs1
- DynamicHDR : XV_HdmiRxSs1_Config
- DynHdrCallback : XV_HdmiRxSs1
- DynHdrRef : XV_HdmiRxSs1

### - e -

- EdidLength : XV_HdmiRxSs1
- EdidPtr : XV_HdmiRxSs1
- EnableHDCPLogging : XV_HdmiRxSs1
- EnableHDMILogging : XV_HdmiRxSs1

### - f -

- ForceIndependent : XHdmi_Exdes
- FrlConfigCallback : XV_HdmiRxSs1
- FrlConfigRef : XV_HdmiRxSs1
- FrlLts1Callback : XV_HdmiRxSs1
- FrlLts1Ref : XV_HdmiRxSs1
- FrlLts2Callback : XV_HdmiRxSs1
- FrlLts2Ref : XV_HdmiRxSs1
- FrlLts3Callback : XV_HdmiRxSs1
- FrlLts3Ref : XV_HdmiRxSs1
- FrlLts4Callback : XV_HdmiRxSs1
- FrlLts4Ref : XV_HdmiRxSs1
- FrlLtsLCallback : XV_HdmiRxSs1
- FrlLtsLRef : XV_HdmiRxSs1
- FrlLtsPCallback : XV_HdmiRxSs1
- FrlLtsPRef : XV_HdmiRxSs1
- FrlStartCallback : XV_HdmiRxSs1
- FrlStartRef : XV_HdmiRxSs1

### - g -

- GCP : XV_HdmiRxSs1
- Gpio : XVfmc

### - h -

- Hdcp14 : XV_HdmiRxSs1_Config
- Hdcp22 : XV_HdmiRxSs1_Config
- HdcpCallback : XV_HdmiRxSs1
- HdcpIsSupported : XHdmi_MenuConfig
- HdcpProtocol : XV_HdmiRxSs1
- HdcpRef : XV_HdmiRxSs1
- HdcpTimer : XV_HdmiRxSs1_Config
- HdmiRx1 : XV_HdmiRxSs1_Config
- HdmiRx1Ptr : XV_HdmiRxSs1
- HeadIndex : XV_HdmiRxSs1_Log
- HighAddress : XV_HdmiRxSs1_Config

### - i -

- IicPtr : XVfmc
- IsLinkStatusErrMax : XV_HdmiRxSs1
- IsPresent : XV_HdmiRxSs1_SubCore
- IsReady : XV_HdmiRxSs1 , XVfmc
- IsRxPresent : XHdmi_Exdes
- IsStreamConnected : XV_HdmiRxSs1
- IsStreamUp : XV_HdmiRxSs1
- IsTxPresent : XHdmi_Exdes

### - l -

- LnkStaCallback : XV_HdmiRxSs1
- LnkStaRef : XV_HdmiRxSs1
- Loc : XVfmc
- Log : XV_HdmiRxSs1
- LogWriteCallback : XV_HdmiRxSs1
- LogWriteRef : XV_HdmiRxSs1

### - m -

- MaxBitsPerPixel : XV_HdmiRxSs1_Config

### - p -

- PhyResetCallback : XV_HdmiRxSs1
- PhyResetRef : XV_HdmiRxSs1
- Ppc : XV_HdmiRxSs1_Config

### - r -

- RxMezzType : XVfmc

### - s -

- StreamDownCallback : XV_HdmiRxSs1
- StreamDownRef : XV_HdmiRxSs1
- StreamInitCallback : XV_HdmiRxSs1
- StreamInitRef : XV_HdmiRxSs1
- StreamUpCallback : XV_HdmiRxSs1
- StreamUpRef : XV_HdmiRxSs1
- SystemEvent : XHdmi_Exdes
- SysTmrInst : XHdmi_Exdes
- SysTmrPulseIntervalinMs : XHdmi_Exdes

### - t -

- TailIndex : XV_HdmiRxSs1_Log
- TimeRecord : XV_HdmiRxSs1_Log
- TmdsClkRatioCallback : XV_HdmiRxSs1
- TmdsClkRatioRef : XV_HdmiRxSs1
- TMDSClockRatio : XV_HdmiRxSs1
- TmdsConfigCallback : XV_HdmiRxSs1
- TmdsConfigRef : XV_HdmiRxSs1
- TxBusy : XHdmi_Exdes
- TxMezzType : XVfmc
- TxStartTransmit : XHdmi_Exdes

### - u -

- UartBaseAddress : XHdmi_Menu
- UserTimerPtr : XV_HdmiRxSs1
- UserTimerWaitUs : XV_HdmiRxSs1

### - v -

- Value : XHdmi_Menu
- VfpChangeCallback : XV_HdmiRxSs1
- VfpChangeRef : XV_HdmiRxSs1
- VicErrorCallback : XV_HdmiRxSs1
- VicErrorRef : XV_HdmiRxSs1
- VideoInterface : XV_HdmiRxSs1_Config
- VidRdyErrorCallback : XV_HdmiRxSs1
- VidRdyErrorRef : XV_HdmiRxSs1
- VrrRdyCallback : XV_HdmiRxSs1
- VrrRdyRef : XV_HdmiRxSs1
- VSIF : XV_HdmiRxSs1